Gmagick::magnifyimage
Gmagick::medianfilterimage
Gmagick
PHP Manual

# Gmagick::mapimage

(PECL gmagick >= Unknown)

Gmagick::mapimage — Replaces the colors of an image with the closest color from a reference image.

### Description

public Gmagick Gmagick::mapimage ( gmagick `$gmagick` , bool `$dither` )

Replaces the colors of an image with the closest color from a reference image.

### Parameters

`gmagick`

  The reference image

`dither`

  Set this integer value to something other than zero to dither the mapped image

### Return Values

Gmagick object

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::magnifyimage
Gmagick::medianfilterimage
Gmagick
PHP Manual